This is derived from the pom files of the respective releases. Other releases with compatibility are listed in parenthesis.

Hive(Works with) Tez
0.13

0.4.0-incubating

0.140.5.2+, (through 0.7.0)
1.00.5.2, (through 0.7.0)
1.10.5.2, (through 0.7.0)
1.2*0.5.3, (through 0.7.0)
2.00.8.2

*Hive-1.2 is the latest release of Hive as of 07/2015.